Bug 169861 - abiword - CAN-2005-2964 execute arbitrary code via RTF import
abiword - CAN-2005-2964 execute arbitrary code via RTF import
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-04 11:27 EDT by Michal Jaegermann
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.2.10-1.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-04 11:56:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2005-10-04 11:27:11 EDT
Description of problem:

On September 30th an update to abiword in FC3 showed up with the following
notes:

Chris Evans discovered a buffer overflow in AbiWord's RTF
importer
---------------------------------------------------------------------
* Thu Sep 29 2005 Caolan McNamara <caolanm@redhat.com> 1:2.0.12-10
- rh#169478# CAN-2005-2964

Bug #169478 is still not viewable by me but, for example, a corresponding
Gentoo advisory which can be viewed here:
http://www.linuxsecurity.com/content/view/120486
says that all versions below 2.2.10 are vulnerable.  The one currently
available in extras is 2.2.9.

See also http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2005-2964
Comment 1 Michal Jaegermann 2005-10-04 11:56:36 EDT
Sorry. A false alarm.  This turned out really to be a funny in my yum
configuration which decided to forget to pick up updates from extras leaving
me with a version 2.2.9.  I should have check first repositories myself
instead of relying on yum.

Note You need to log in before you can comment on or make changes to this bug.